> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jurichat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter uma entrega

> Retorna os detalhes completos de uma tentativa de entrega, incluindo o payload exato enviado e a resposta recebida.



## OpenAPI

````yaml https://api.jurichat.com/docs/client/openapi.json get /webhooks/{webhookId}/deliveries/{deliveryId}
openapi: 3.1.0
info:
  title: JuriChat API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.jurichat.com
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /webhooks/{webhookId}/deliveries/{deliveryId}:
    get:
      tags:
        - Webhooks
      summary: Obter uma entrega
      description: >-
        Retorna os detalhes completos de uma tentativa de entrega, incluindo o
        payload exato enviado e a resposta recebida.
      parameters:
        - schema:
            type: string
          in: path
          name: webhookId
          required: true
          description: ID único do webhook.
        - schema:
            type: string
          in: path
          name: deliveryId
          required: true
          description: ID único da tentativa de entrega.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: ID único da tentativa de entrega.
                  webhookId:
                    type: string
                    description: ID do webhook a qual esta entrega pertence.
                  event:
                    type: string
                    description: Nome do evento que disparou esta entrega.
                  status:
                    type: string
                    enum:
                      - PENDING
                      - SUCCESS
                      - FAILED
                      - RETRYING
                    description: >-
                      Status atual da entrega. `RETRYING` significa que uma nova
                      tentativa de entrega está agendada; `FAILED` significa que
                      todas as tentativas foram esgotadas.
                  statusCode:
                    type: number
                    nullable: true
                    description: >-
                      Código de status HTTP retornado pelo servidor de destino
                      (null se ainda não foi entregue).
                  payload:
                    type: object
                    additionalProperties: {}
                    description: >-
                      O payload JSON exato que foi (ou será) enviado para a URL
                      de destino.
                  responseBody:
                    type: string
                    nullable: true
                    description: >-
                      Primeiros 10,000 caracteres do corpo da resposta do
                      servidor de destino.
                  errorMessage:
                    type: string
                    nullable: true
                    description: Descrição legível do erro se a entrega falhou.
                  durationMs:
                    type: number
                    nullable: true
                    description: Tempo de ida e volta da entrega em milissegundos.
                  attemptCount:
                    type: number
                    description: Quantas tentativas de entrega foram feitas até o momento.
                  nextRetryAt:
                    type: string
                    nullable: true
                    description: >-
                      Timestamp ISO 8601 da próxima tentativa de entrega
                      agendada (null se nenhuma tentativa de entrega está
                      pendente).
                  createdAt:
                    type: string
                    description: >-
                      Timestamp ISO 8601 quando esta entrega foi criada pela
                      primeira vez.
                  expiresAt:
                    type: string
                    description: >-
                      Timestamp ISO 8601 após o qual este registro será
                      automaticamente deletado (retenção de 90 dias).
                required:
                  - id
                  - webhookId
                  - event
                  - status
                  - statusCode
                  - payload
                  - responseBody
                  - errorMessage
                  - durationMs
                  - attemptCount
                  - nextRetryAt
                  - createdAt
                  - expiresAt
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  details: {}
                required:
                  - message
                  - statusCode
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-jurichat-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-jurichat-api-key.

````